### Method

# FwupdPlugin Plugin has_rule

since: 1.0.0

#### Declaration [src]

    gboolean
    fu_plugin_has_rule (
      FuPlugin* self,
      FuPluginRule rule,
      const gchar* name
    )

#### Description [src]

Gets the plugin IDs that should be run after this plugin.

Available since: 1.0.0

#### Parameters

`rule`

  Type: `FuPluginRule`

  A plugin rule, e.g. `FU_PLUGIN_RULE_CONFLICTS`.

`name`

  Type: `const gchar*`

  A plugin name, e.g. `upower`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the name exists for the specific rule.